@charset "utf-8";
h2 {
	margin-bottom: 20px;
	font-family: var(--zen);
	font-size: 18px;
	color: var(--blue);
	font-weight: 500;
}

/* ご挨拶 */
section#greeting {
	margin-bottom: 100px;
	background: #fff;
}
section#greeting div.flex {
	flex-flow: column;
	align-items: end;
	gap: 36px;
}
section#greeting .hasegawa-sensei {
	text-align: end;
	& .img-wrapper {
		width: 160px;
		height: 200px;
		margin-bottom: 6px;
		border-radius: 2px;
		overflow: hidden;
	}
	& .img-wrapper img {
		width: 100%;
		height: 100%;
		transform: scale(1.2);
	}
	& .name p {
		font-family: var(--zen);
	}
	& .name p:first-child {
		color: var(--blue);
	}
	& .name p:last-child {
		font-size: 18px;
		font-weight: 500;
	}
}

/* 経歴/プロフィール */
section#profile {
	width: 100%;
	margin-bottom: 100px;
	background: #fff;
}
section#profile h2 {
	margin-left: 12px;
}
section#profile dl {
	width: 100%;
	margin-bottom: 60px;
	& div.flex {
		align-items: start;
		padding: 16px 20px;
	}
	& div.flex:nth-child(odd) {
		background: #F4F7FC;
	}
	& dt {
		width: 20%;
		font-family: var(--zen);
		font-weight: 400;
	}
	& div.flex:first-child dt {
		writing-mode: vertical-rl;
		align-content: end;
	}
	& dd {
		width: 80%;
	}
}
section#profile .images-wrapper {
	flex-flow: column;
	align-items: flex-start;
	gap: 6px;
	& .img-wrapper {
		width: 100%;
		max-width: 400px;
		overflow: hidden;
	}
}

/* 経営理念 */
section#philosophy {
	width: 100%;
	margin-bottom: 100px;
	padding: 0;
}
section#philosophy h2 {
	margin-left: 24px;
}
section#philosophy .img-wrapper {
	width: 100%;
	height: 200px;
	background-image: url('./img/hasegawa_sensei_soto.webp');
	background-position: -20% 25%;
	background-size: 100%;
	position: relative;
	& p {
		position: absolute;
		margin-left: 36px;
		top: 50%;
		transform: translateY(-50%);
		color: #fff;
		font-size: 18px;
		line-height: 2;
		font-weight: 500;
		text-shadow: 0 0 3px rgba(0,0,0,0.4);
		z-index: 2;
	}
	& .bg {
		position: absolute;
		display: block;
		width: 100%;
		height: 100%;
		background: #213DAD;
		background: linear-gradient(90deg,rgba(33, 61, 173, 1) 0%, rgba(33, 61, 173, 0) 70%);
		mix-blend-mode: multiply;
		z-index: 1;
	}
}

/* 基本情報 */
section#basic {
	width: 100%;
	margin-bottom: 100px;
	background: #fff;
}
section#basic h2 {
	margin-left: 12px;
}
section#basic dl {
	width: 100%;
	& div.flex {
		align-items: start;
		width: 100%;
		padding: 16px 20px;
		gap: 12px;
	}
	& div.flex:nth-child(odd) {
		background: #F4F7FC;
	}
	& dt {
		width: 20%;
		font-family: var(--zen);
		font-weight: 400;
	}
	& dd {
		width: 80%;
	}
}

/* アクセス */
section#access {
	margin-bottom: 100px;
}
section#access iframe {
	width: 100%;
	height: 200px;
	margin-bottom: 12px;
}

@media screen and (min-width: 768px) {
h2 {
	font-size: 21px;
}

/* ご挨拶 */
section#greeting {
	padding-top: 20px;
	padding-bottom: 36px;
}
section#greeting div.flex {
	flex-flow: row;
	align-items: start;
}

/* 経歴/プロフィール */
section#profile .images-wrapper {
	flex-flow: row;
	justify-content: start;
	align-items: stretch;
	& .img-wrapper {
		height: 240px;
	}
	& .img-wrapper img {
		width: 100%;
		object-fit: cover;
	}
	& .img-wrapper:first-child {
		width: 60%;
	}
	& .img-wrapper:nth-child(2) {
		width: 40%;
	}
	& .img-wrapper:nth-child(2) img {
		transform: scale(1.1);
	}
}

/* 経営理念 */
section#philosophy .img-wrapper {
	height: 280px;
	background-position: -20% 15%;
	& p {
		margin-left: 48px;
		font-size: 21px;
	}
}
}

